MediaWiki with Parsoid and VisualEditor extensions configuration problem

January 26, 2015 2.7k views

I'm trying to install and setup latest MediaWiki build (1.25alpha (51ca723)) with Parsoid (0.2.0 (Version f2bb6c9)) and VisualEditor (0.1.0 (Version fd6a2c0)) on a Ubuntu 14.04 x64 vmlinuz-3.13.0-43-generic. Everything went well while installing. Parsoid is working at mysite.com:8142 and MediaWiki also. But when going to modify a page, when I should see the VisualEditor, I just have a popup error while getting data from the server. I have followed the instructions to set VisualEditor (https://www.mediawiki.org/wiki/Extension:VisualEditor#Basic_configuration_for_MediaWiki-VisualEditor) with no luck. I have no idea how to troubleshoot this.

Any help would be very appreciated.

Thank you.

Robert

2 comments
  • Hi! We might be able to better answer your question if you could provide some more information. What does the popup error say? Are you seeing anything in the webserver's error logs? If you're using Apache, they are in /var/log/apache2/error.log

  • It just said that there was an error. Nothing else. I found out, however, what was the problem: it just needed php5-curl installed. Thanks for your time.

1 Answer

This question was answered by @robertgarrigos:

It just said that there was an error. Nothing else. I found out, however, what was the problem: it just needed php5-curl installed. Thanks for your time.

View the original comment

Have another answer? Share your knowledge.